Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.caff.maze
Class MazePropertyOwner.EnumPropertyInformation

    java.lang.Object
      de.caff.maze.AbstractPropertyInformation
          de.caff.maze.MazePropertyOwner.EnumPropertyInformation

All Implemented Interfaces:
  PropertyInformation

Enclosing class:
  MazePropertyOwner

    protected abstract static class MazePropertyOwner.EnumPropertyInformation

extends AbstractPropertyInformation

An enumerated property and its setters.

Field Summary

Fields inherited from interface de.caff.maze.PropertyInformation
`SHORT_DESCRIPTION_SUFFIX`

Constructor Summary
`protected` | `MazePropertyOwner.EnumPropertyInformation(java.lang.String name, java.lang.Enum[] values)` Constructor.

Method Summary
`protected abstract java.lang.Enum` | `getOwnerValue()` Get the value from the owner of the property.
`java.lang.Object` | `getPropertyValue()` Get the current value of property.
`javax.swing.JComponent` | `getSetterComponent()` A component to set the property.
`protected abstract void` | `setOwnerValue(java.lang.Enum value)` Set the value of the owner of the property.

Methods inherited from class de.caff.maze.AbstractPropertyInformation
`forget, getLocalizedDescription, getLocalizedShortDescription, getName, isInformational`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MazePropertyOwner.EnumPropertyInformation

    protected MazePropertyOwner.EnumPropertyInformation(java.lang.String name,
                                                        java.lang.Enum[] values)

  Constructor.

  Parameters:
    `name` - id
    `values` - possible values

Method Detail

### getSetterComponent

    public javax.swing.JComponent getSetterComponent()

  A component to set the property.

  Specified by:
    `getSetterComponent` in interface `PropertyInformation`
  Specified by:
    `getSetterComponent` in class `AbstractPropertyInformation`
  Returns:
    setter component

### setOwnerValue

    protected abstract void setOwnerValue(java.lang.Enum value)

  Set the value of the owner of the property.

  Parameters:
    `value` - new value

### getOwnerValue

    protected abstract java.lang.Enum getOwnerValue()

  Get the value from the owner of the property.

  Returns:
    the current value

### getPropertyValue

    public java.lang.Object getPropertyValue()

  Get the current value of property.

  Returns:
    property value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD